.sticky-footer{
    position: sticky;
    bottom: 0;
    left: 0;
    background: #f5f6f8;
    padding-top: 12px;
}
.mb-12{
    margin-bottom: 12px !important;
}
.pl-70{
    padding-left: 70px !important;
}
.main-price {
    &.cur_new {
        color: var(--red-400) !important;
    }
}
.mt-12{
    margin-top: 12px;
}

.rating-wrapper{
    display: flex;
    gap: 4px;
}
:root {
    /* Основные цвета */
    --white: #FFFFFF;
    --black: #383838; /* Темный текст */

    /* Серые оттенки */
    --gray-25: #F5F6F8;
    --gray-50: #F4F4F4; /* Светлый фон */

    --gray-100: #EEEEEE; /* Границы */
    --gray-200: #E0E0E0; /* Фон прогресс-баров */
    --gray-300: #CCCCCC; /* Неактивные точки рейтинга */
    --gray-400: #999999; /* Второстепенный текст */
    --gray-500: #8D8D8D;

    /* Зеленые оттенки */
    --green-400: #2CA836; /* Основной зеленый */
    --green-500: #29A232; /* Ховер состояние */
    --green-600: #248C2C; /* Активное состояние */

    /* Акцентные цвета */
    --red-400: #FE4C4C; /* Красный бейдж */
    --red-500: #FF0000;
    --yellow-400: #FFB800; /* Звезды рейтинга */

    --orange-400: #FF7907;
    --orange-500: #e36a00;
}

:root {
    /* Текст */
    --text-primary: var(--black);
    --text-secondary: var(--gray-400);

    /* Фоны */
    --background-light: var(--gray-50);
    --background-card: var(--white);

    /* Границы */
    --border-default: var(--gray-100);

    /* Компоненты */
    --button-primary: var(--green-400);
    --button-primary-hover: var(--green-500);
    --button-primary-active: var(--green-600);

    --progress-bar-bg: var(--gray-200);
    --progress-bar-fill: var(--green-400);

    --rating-star: var(--yellow-400);
    --rating-dot-active: var(--green-400);
    --rating-dot-inactive: var(--gray-300);

    --badge-background: var(--red-400);

    /*Радиусы*/
    --button-radius-primary: 12px;
    --button-radius-secondary: 40px;
}

svg {
    fill: inherit;
}

.center-container {
    display: inline-block;
}

button {
    background: none;
    border: none;
}
.quantity-wrapper {
    display: none;
    justify-content: space-between;
    align-items: center;
    border: 1px solid var(--gray-100);
    border-radius: 4px;
    overflow: hidden;
    & .quantity-button{
        width: 50px;
        font-size: 30px;
        background: var(--gray-25);
        flex-shrink: 0;
        display: grid;
        place-content: center;
        cursor: pointer;
        align-self: stretch;
    }
    & .quantity-button--left{
        border-right: 1px solid var(--gray-100);
    }
    & .quantity-button--right{
        border-left: 1px solid var(--gray-100);
    }
    & .quantity-input {
        flex-grow: 1;
        width: 100%;
        font-size: 20px;
        border: none;
        height: 50px;
        text-align: center;
    }
}

.product-card {
    .product-card__upper {
        margin-bottom: 67px;
        display: flex;
        position: relative;
        gap: 20px;
        @media (max-width: 1280px) {
            flex-direction: column;
        }
        .product-preview-container {
            flex-shrink: 0;
            width: 540px;
            @media (max-width: 1280px) {
                width: 100%;
                height: auto;
                padding: 0;
            }
            .product-preview-image {
                width: 100%;
                height: 100%;
                object-fit: contain;
                margin-bottom: 20px;
            }
        }

        .product-card__upper-info {
            display: flex;
            flex-direction: column;
            max-width: 497px;
            flex-wrap: wrap;
            width: 100%;
            flex-shrink: 5;
            @media (max-width: 1440px) {
                max-width: 100%;
            }
        }

        .flex-moc, .price-card {
            width: 345px;
            flex-shrink: 0;
            @media (max-width: 1600px) {
                width: 365px;
            }
        }
        .price-card {
            top: 0;
            right: 0;
            position: absolute;
            flex-shrink: 0;
            @media (max-width: 1440px) {
                position: unset;
                width: 100%;
                min-width: auto;
            }
        }
    }
}
.product-card__reviews {
    display: flex;
    justify-content: space-between;
    align-items: start;
    gap: 20px;
    @media (max-width: 1280px) {
        flex-direction: column-reverse;
    }
    .customers-reviews {
        width: 467px;
        flex-shrink: 0;
        @media (max-width: 1280px) {
            width: 100%;
        }
    }
}
.product-header {
    .product-title {
        font-size: 24px;
        font-weight: 700;
        margin-bottom: 16px;
        line-height: 1.3;
    }

    .product-meta {
        display: flex;
        align-items: center;
        @media (max-width: 1440px) {
            flex-wrap: wrap;
            gap: 12px;
        }
    }

    .rating {
        display: flex;
        align-items: center;
        gap: 10px;
        font-size: 14px;
        font-weight: bold;
        color: var(--text-primary);
        margin-right: 12px;
    }

    .rating-count {
        color: var(--text-secondary);
        text-decoration: none;
    }

    .meta-action-wrapper {
        display: flex;
        gap: 12px;
        align-items: center;
    }

    .meta-action {
        position: relative;
        display: flex;
        align-items: center;
        gap: 4px;
        text-wrap: nowrap;
        background: var(--gray-25);
        font-weight: 400;
        padding: 4px 16px;
        border-radius: 14px;
        cursor: pointer;

        &.active {
            background: var(--green-400);
            color: white;
            fill: white;
        }

        & > .meta-badge {
            position: absolute;
            top: 0;
            right: 0;
            background: var(--red-400);
            border-radius: 100%;
            color: var(--white);
            font-size: 9px;
            display: flex;
            width: 14px;
            height: 14px;
            align-items: center;
            justify-content: center;
        }
    }
}


.product-card .gallery {display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start;}
.product-card .gallery .img {padding: 0; width: 100%; height: 600px; position: relative; margin-bottom: 20px;}
.product-card .gallery .img div {border-bottom: none; display: flex; align-items: center; justify-content: center; height: 100%;}
.product-card .gallery .img div img {max-width: 100%; max-height: 100%; flex-shrink: 0; border-radius:18px;}

.product-card .gallery-wrapper {position: relative;}

/* Position */
.product-card .gallery ul {position: absolute; bottom: 0; width: 100%; left: 10px;}
.product-card .gallery ul li {width:80px;height:80px; overflow:hidden; border:2px solid #f4f4f4; margin:0 0 10px; background:#fff; border-radius:8px; transition: opacity .4s, border .4s;}
.product-card .gallery ul li:hover {border:2px solid #c709a4;}
.product-card .gallery ul li > a {display:table-cell; width:80px; height:80px; text-align:center; vertical-align:middle;}
.product-card .gallery ul li > a > img {vertical-align:middle; display:inline-block;}
.product-card .gallery ul li.active {border:2px solid #6fbe6c;}


@media (max-width: 991px) {
    .product-card .gallery-wrapper {display: block;width: 100%;margin: 10px 0 0 0;padding: 0;}
    .product-card .gallery {margin: 0 auto;}
    .product-card .gallery ul {left:0;}
    .product-card .gallery .img {width:60%;}
    .product-card .gallery .img div img {border-radius:12px;}
    .product-card .gallery .img {height: auto;}

}

@media (max-width: 768px) {
    .product-card .gallery .img {width:100%;}
}


.product-card .favorits {
    display: flex;
    height:23px;
    align-items:center;
    background:#f4f4f4;
    transition: background .4s, color .125s, box-shadow .4s;
    font-weight: 400;
    text-align: center;
    font-size: 13px;
    text-decoration:none;
    color:#000;
    white-space: nowrap;
    padding: 2px 16px;
    margin-right:10px;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
}
.product-card .favorits .ico-fav {width:14px; height:12px; display:flex; cursor:pointer; overflow:hidden; background-image:url("/local/templates/asgard/components/bitrix/catalog/.default/bitrix/catalog.element/.default_grass/images/icon-favorite.svg"); background-repeat:no-repeat; text-decoration:none; margin-right:5px; margin-top:-1px;}
.product-card .favorits.is-active {background:#38b241; text-decoration:none; color:#fff;}
.product-card .favorits.is-active .ico-fav {background-image:url("/local/templates/asgard/components/bitrix/catalog/.default/bitrix/catalog.element/.default_grass/images/icon-favorite-active.svg");}


/* сравнение */
.product-card .compare-box {
    position: relative;
    display: flex;
    height:23px;
    align-items: center;
    background: #f4f4f4;
    transition: background .4s, color .125s, box-shadow .4s;
    font-weight: 400;
    text-align: center;
    font-size: 13px;
    text-decoration: none;
    color: #000;
    white-space: nowrap;
    padding: 2px 16px;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
}

.product-card .compare-cnt {
    position: absolute;
    text-decoration: none;
    margin: 0 ;
    top: -3px;
    right: -5px;
    padding: 0;
    font-size: 9px;
    background-color: red;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    width: 14px;
    height: 14px;
    color: #fff;
    line-height: 15px;
    z-index: 0;
    text-align: center;
}

.product-card .compare-box:hover {
    text-decoration:none;
    color: inherit;
}

.product-card .compare-box.is-active {
    background: #38b241;
    text-decoration: none;
    color: #fff;
}


.product-card .compare-box:focus,
.product-card .compare-box:active {
    text-decoration: none;
}

.product-card .product-card_compare {
    cursor: pointer;
    width: 15px;
    height: 8px;
    background: url("/local/templates/asgard/components/bitrix/catalog/.default/bitrix/catalog.element/.default_grass/images/icon-compare.svg") no-repeat;
    padding: 0 !important;
    margin-right: 4px;
}

.product-card .product-card_compare.is-active {
    background: url("/local/templates/asgard/components/bitrix/catalog/.default/bitrix/catalog.element/.default_grass/images/icon-compare-active.svg") no-repeat;
}

.price-card {
    border-radius: 18px;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0 4px 40px 0 rgba(0, 0, 0, 0.05);
    @media (max-width: 1440px) {
        margin-top: 20px;
        padding: 0;
        box-shadow: none;
    }
    .price-header {
        display: flex;
        align-items: center;
        gap: 10px;
        flex-wrap: wrap;
        margin-bottom: 20px;
        @media (max-width: 1440px) {
            margin-bottom: 4px;
        }
    }
    .price-wrapper{
        @media (max-width: 1440px) {
            background: var(--gray-25);
            padding: 16px;
            border-radius: 8px;
            margin-bottom: 20px;
        }
    }

    .main-price {
        font-size: 36px;
        margin-right: 8px;
        font-weight: bold;
        color: var(--text-primary);
    }

    .old-price {
        margin-right: 16px;
        font-size: 20px;
        color: var(--text-secondary);
    }

    .stock-badge {
        background: var(--green-400);
        color: var(--white);
        padding: 4px 8px;
        border-radius: 20px;
        font-size: 12px;
        &.unavailable {
            background: var(--gray-25);
            color: var(--gray-500);
        }
    }
    .strikethrough {
        position: relative;
    }

    .strikethrough:before {
        position: absolute;
        content: "";
        left: 0;
        top: 50%;
        right: 0;
        border-top: 1px solid;
        border-color: inherit;

        -webkit-transform: rotate(-5deg);
        -moz-transform: rotate(-5deg);
        -ms-transform: rotate(-5deg);
        -o-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }

    .installment {
        background: var(--gray-25);
        padding: 10px 11px;
        border-radius: 12px;
        margin-bottom: 10px;
        @media (max-width: 1440px) {
            padding: 0;
        }
    }

    .installment-badge {
        background: var(--red-400);
        color: white;
        padding: 4px 8px;
        border-radius: 8px;
        font-size: 12px;
        font-weight: bold;
        display: inline-block;
        margin-right: 10px;
    }

    .installment-label {
        font-size: 16px;
        font-weight: 400;
    }

    .add-to-cart {
        background: var(--green-400);
        color: white;
        border: none;
        padding: 12px;
        width: 100%;
        border-radius: var(--button-radius-primary);
        font-size: 20px;
        font-weight: 500;
        cursor: pointer;
        margin-bottom: 16px;
    }

    .delivery-options {
        display: flex;
        flex-direction: column;
        gap: 20px;
        margin-bottom: 20px;
    }

    .delivery-option {
        display: flex;
        gap: 25px;
        justify-content: space-between;
        align-items: center;
    }

    .delivery-company {
        display: flex;
        align-items: center;
        gap: 8px;
    }

    .delivery-dots {
        flex-grow: 1;
        align-self: stretch;
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='4'%3e%3cline x1='0' y1='3' x2='100%25' y2='3' stroke='%23757575' stroke-width='1' stroke-dasharray='3' stroke-linecap='square'/%3e%3c/svg%3e");
        background-repeat: no-repeat;
        background-position: bottom;
    }

    .delivery-label {
        font-size: 16px;
        line-height: 16px;
        min-width: 74px;
        text-align: right;
        font-weight: 600;
    }

    .delivery-company img {
        width: 100%;
        height: 16px;
        object-fit: contain;
    }

    .free-delivery {
        color: var(--green-400);
        font-size: 13px;
        font-weight: 500;
        text-align: center;
        margin-top: 12px;
        @media (max-width: 1440px) {
            text-align: left;
            font-size: 14px;
        }
    }
}


.sticky-cart {
    position: sticky;
    width: 100%;
    bottom: 0;
    padding: 12px;
    background: var(--background-card);
    box-shadow: 0 -4px 8px rgba(0, 0, 0, 0.05);
    z-index: 1001;
    @media (min-width: 1441px) {
        display: none;
    }

    .add-to-cart-button {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 8px;
        padding: 14px 24px;
        background: var(--button-primary);
        border: none;
        border-radius: var(--button-radius-primary);
        color: var(--white);
        font-size: 16px;
        font-weight: 500;
        cursor: pointer;
        transition: background-color 0.2s ease;
    }

    .add-to-cart-button:hover {
        background: var(--button-primary-hover);
    }

    .add-to-cart-button:active {
        background: var(--button-primary-active);
    }

    .price {
        font-weight: 600;
    }
}

.product-info {
    margin-top: 20px;

    .volume-selector {
        display: flex;
        gap: 20px;
        align-items: center;
        margin-bottom: 24px;
        @media (max-width: 1440px) {
            flex-direction: column;
            align-items: start;
            gap: 8px;
        }
    }

    .volume-label {
        font-size: 16px;
        font-weight: 500;
        color: var(--text-primary);
        margin-bottom: 8px;
    }

    .volume-options {
        display: flex;
        flex-wrap: wrap;
        gap: 12px;
    }

    .volume-option {
        padding: 7px 18px;
        border-radius: 14px;
        font-size: 18px;
        font-weight: 500;
        background: var(--gray-25);
        cursor: pointer;
        box-shadow: 0 4px 40px 0 rgba(0, 0, 0, 0.15);
        @media (max-width: 1440px) {
            padding: 6px 18px;
        }

    }

    .volume-option.active {
        background: var(--green-400);
        color: white;
    }

    .specs-table {
        margin-bottom: 24px;
        display: flex;
        flex-direction: column;
        gap: 10px;
        @media (max-width: 1440px) {
            gap: 8px
        }
    }

    .specs-title {
        font-size: 20px;
        font-weight: 700;
        margin-bottom: 12px;
    }

    .spec-row {
        display: flex;
        gap: 20px;
        @media (max-width: 1440px) {
            gap: 10px
        }
    }

    .spec-label {
        flex-grow: 1;
        display: flex;
        font-size: 16px;
        font-weight: 500;
        width: 100%;
        color: var(--text-secondary);
        @media (max-width: 1440px) {
            font-size: 14px;
        }
    }

    .spec-value {
        flex-grow: 1;
        width: 100%;
        font-weight: 500;
        color: var(--text-primary);
        display: flex;
        align-items: center;
        gap: 8px;
        @media (max-width: 1440px) {
            font-size: 12px;
        }
        &.article {
            span {
                text-decoration: underline dotted;
            }
        }
    }

    .copy-button {
        padding: 8px;
        margin: -8px;
        cursor: pointer;
        border: none;
        background: none;
    }

    .description {
        margin-bottom: 24px;
        font-size: 16px;
        font-weight: 500;
        @media (max-width: 1440px) {
            font-size: 14px;
        }
    }

    .show-more {
        color: var(--green-400);
        font-size: 14px;
        cursor: pointer;
        font-weight: 500;
        text-decoration: underline dotted;
    }

    .ratings-grid {
        display: flex;
        flex-direction: column;
        gap: 16px;
        margin-bottom: 32px;
    }

    .rating-item {
        display: flex;
        align-items: center;
        gap: 10px;
        font-weight: 600;
    }

    .rating-dots {
        display: flex;
        gap: 5px;
    }

    .dot {
        width: 13px;
        height: 13px;
        border-radius: 50%;
        background: var(--green-400);
    }

    .dot.empty {
        background: var(--white);
        border: 1px solid var(--green-400);
    }

    .series-info {
        border-radius: 14px;
        background: var(--gray-50);
        font-weight: 400;
        padding: 12px;
    }

    .series-link {
        color: var(--green-400);
        text-decoration: underline;
    }
}

body.sidebar-open {
    overflow: hidden;
}

.product-sidebar-component {

    .sidebar-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.5);
        display: flex;
        opacity: 0;
        justify-content: flex-end;
        align-items: center;
        z-index: -1000;
    }

    .sidebar-overlay.active {
        display: flex;
        opacity: 1;
        z-index: 2000;
    }

    .product-sidebar {
        width: 100%;
        height: 100%;
        max-width: 696px;
        display: flex;
        flex-direction: column;
        background: var(--background-card);
        position: relative;
        opacity: 0;
        transform: translateX(50px);
        transition: all 0.3s ease;
        @media (max-width: 1440px) {
            max-width: 100%;
        }
    }

    .sidebar-overlay.active .product-sidebar {
        transform: translateX(0);
        opacity: 1;
    }

    .sidebar-header {
        display: flex;
        padding: 40px;
        justify-content: space-between;
        align-items: center;
        @media (max-width: 1440px) {
            padding: 20px;
        }
    }

    .sidebar-title {
        font-size: 34px;
        font-weight: 700;
        @media (max-width: 1440px) {
            font-size: 20px;
        }
    }

    .close-button {
        background: none;
        border: none;
        cursor: pointer;
        font-size: 24px;
        color: var(--text-secondary);
        padding: 4px;
        line-height: 1;
    }

    .product-content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        gap: 24px;
        padding: 40px;
        overflow: auto;
        @media (max-width: 1440px) {
            padding: 20px;
            padding-bottom: 120px;
        }
    }
	
    .product-content iframe {
        min-height:340px;
    }
	
	.product-links {
        display: flex;
        flex-direction: column;
        gap: 4px;
        align-items: start;
    }

    .product-link {
        color: var(--green-400);
        font-size: 14px;
        cursor: pointer;
        font-weight: 500;
        text-decoration: underline dotted;
    }

    .product-link:hover {
        color: var(--button-primary-hover);
    }

    .sidebar-footer {
        display: flex;
        padding: 40px;
        align-items: center;
        box-shadow: 0 4px 40px 0 rgba(0, 0, 0, 0.1);
        justify-content: space-between;
        @media (max-width: 1440px) {
            padding: 20px;
            display: none;
        }
    }

    .price {
        display: flex;
        align-items: center;
    }

    .main-price {
        font-size: 36px;
        margin-right: 8px;
        font-weight: bold;
        color: var(--text-primary);
    }

    .old-price {
        margin-right: 16px;
        font-size: 20px;
        color: var(--text-secondary);
    }

    .strikethrough {
        position: relative;
    }

    .strikethrough:before {
        position: absolute;
        content: "";
        left: 0;
        top: 50%;
        right: 0;
        border-top: 1px solid;
        border-color: inherit;

        -webkit-transform: rotate(-5deg);
        -moz-transform: rotate(-5deg);
        -ms-transform: rotate(-5deg);
        -o-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }

    .cart-button {
        background: var(--button-primary);
        color: white;
        border: none;
        padding: 12px 24px;
        border-radius: var(--button-radius-primary);
        cursor: pointer;
        font-size: 16px;
    }

    .cart-button:hover {
        background: var(--button-primary-hover);
    }

    .cart-button:active {
        background: var(--button-primary-active);
    }

    .specs-table {
        margin-bottom: 24px;
        display: flex;
        flex-direction: column;
        gap: 10px;
        @media (max-width: 1440px) {
            gap: 8px
        }
    }

    .specs-title {
        font-size: 20px;
        font-weight: 700;
        margin-bottom: 12px;
    }

    .spec-row {
        display: flex;
        gap: 20px;
        @media (max-width: 1440px) {
            gap: 10px
        }
    }

    .spec-label {
        flex-grow: 1;
        display: flex;
        font-size: 16px;
        font-weight: 500;
        width: 100%;
        color: var(--text-secondary);
        @media (max-width: 1440px) {
            font-size: 14px;
        }
    }

    .spec-value {
        flex-grow: 1;
        width: 100%;
        font-weight: 500;
        color: var(--text-primary);
        display: flex;
        align-items: center;
        gap: 8px;
        @media (max-width: 1440px) {
            font-size: 12px;
        }

        &.article {
            span {
                text-decoration: underline dotted;
            }
        }
    }

    .copy-button {
        padding: 8px;
        margin: -8px;
        cursor: pointer;
        border: none;
        background: none;
    }

    .description {
        font-size: 16px;
        font-weight: 500;
        @media (max-width: 1440px) {
            font-size: 14px;
        }
    }

    .add-to-card {
        & .add-to-card__counter {
            display: none;
            align-items: center;
            gap: 24px;

            & .add-to-card__counter-amount {
                font-size: 20px;
                font-weight: 400;
            }

            & .add-to-card__counter-button {
                width: 54px;
                aspect-ratio: 1;
                color: var(--text-secondary);
                background: var(--gray-25);
                border: none;
                font-size: 20px;
                border-radius: 100%;
                cursor: pointer;

                &:hover {
                    background: var(--gray-50);
                }
            }

            &.active {
                display: flex;
            }
        }

        & .cart-button {
            display: none;

            &.active {
                display: block;
            }
        }
    }
}
.btn {
    padding: 12px;
    width: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    gap: 4px;
    font-size: 20px;
    border: none;
    border-radius: var(--button-radius-primary);
    outline: 1px solid transparent;
    @media (max-width: 1440px){
        font-size: 16px;
    }
    &.orange {
        background: transparent !important;
        color: var(--orange-400) !important;
        fill: var(--orange-400) !important;
        outline-color: var(--orange-400)!important;
        border: none !important;
        &:hover {
            color: var(--orange-500) !important;
            fill: var(--orange-500) !important;
            outline-color: var(--orange-500)!important;
        }
    }
    &.green {
        background: var(--green-400);
        color: var(--white);
        outline-color: var(--green-400);
    }
}

.reviews-section {
    max-width: 832px;
    .reviews-title {
        font-size: 36px;
        color: var(--text-primary);
        margin-bottom: 24px;
        font-weight: 700;
        @media (max-width: 1280px) {
            display: none;
        }
    }

    .reviews-gallery {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
        margin-bottom: 40px;
    }

    .gallery-item {
        aspect-ratio: 1;
        width: 135px;
        height: 85px;
        border-radius: 4px;
        overflow: hidden;
        position: relative;
    }

    .gallery-image {
        width: 100%;
        height: 100%;
        object-fit: cover;
        &.blur {
            filter: blur(4px);
        }
    }

    .more-photos {
        color: var(--white);
        position: absolute;
        inset: 0;
        z-index: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 20px;
        font-weight: 700;
    }

    .sort-controls {
        display: flex;
        align-items: center;
        gap: 28px;
    }

    .sort-label {
        color: var(--black);
        font-weight: 500;
        font-size: 20px;
    }

    .sort-buttons {
        display: flex;
        gap: 16px;
    }

    .sort-button {
        color: var(--text-primary);
        background: none;
        border: none;
        text-decoration: underline dotted;
        cursor: pointer;
        display: flex;
        align-items: center;
        gap: 4px;
        font-size: 16px;
        @media (max-width: 1440px) {
            font-size: 12px;
        }
    }

    .sort-button svg {
        width: 16px;
        height: 16px;
    }

    .sort-button:hover {
        color: var(--black);
    }
}
.customers-reviews {
    background: var(--gray-25);
    border-radius: 12px;
    padding: 24px;
    @media (max-width: 1280px) {
        padding: 16px;
    }

    .reviews-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 24px;
        @media (max-width: 1280px) {
            margin-bottom: 20px;
        }
    }

    .reviews-title {
        font-size: 24px;
        margin: 0;
        font-weight: 700;
        color: var(--text-primary);
        @media (max-width: 1280px) {
            font-size: 18px;
        }

    }

    .reviews-count {
        color: var(--text-primary);
    }

    .rating-overview {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 16px;
        margin-bottom: 24px;
    }

    .stars {
        display: flex;
        align-items: center;
        overflow: hidden;
    }

    .star {
        color: var(--green-400);
        font-size: 24px;
    }

    .average-rating {
        font-size: 36px;
        font-weight: 700;
        color: var(--text-primary);
    }

    .rating-scale {
        font-size: 18px;
        font-weight: 700;
        color: var(--text-primary);
    }

    .rating-bars {
        display: flex;
        flex-direction: column;
        gap: 12px;
        margin-bottom: 40px;
        @media (max-width: 1440px) {
            margin-bottom: 20px;
        }
    }

    .rating-row {
        display: flex;
        align-items: center;
        gap: 11px;
    }

    .rating-label {
        width: 84px;
        font-weight: 700;
        font-size: 16px;
        color: var(--text-secondary);
    }

    .progress-bar {
        flex-grow: 1;
        height: 24px;
        background: var(--gray-100);
        border-radius: 20px;
        overflow: hidden;
        @media (max-width: 1440px) {
            height: 16px;
        }
    }

    .progress-fill {
        height: 100%;
        background: var(--green-400);
        border-radius: 20px;
    }

    .rating-percentage {
        width: 60px;
        text-align: right;
        font-weight: 700;
        font-size: 16px;
        color: var(--text-primary);
    }

    .submit-review {
        background: var(--green-400);
        color: white;
        border: none;
        padding: 12px 20px;
        border-radius: var(--button-radius-secondary);
        font-size: 16px;
        cursor: pointer;
        display: flex;
        align-items: center;
        gap: 8px;
        @media (max-width: 1440px) {
            margin: 0 auto;
        }
    }

    .submit-review svg {
        width: 20px;
        height: 20px;
    }
}

.search-history {
    position: absolute;
    top: calc(100% + 12px);
    left: 0;
    right: 0;
    background: white;
    border: 1px solid var(--gray-50);
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    display: none;
    z-index: 1000;
}

.search-history-list {
    margin: 0;
    padding: 0;
    list-style: none;
}

.search-history-list .history-text {
	-webkit-line-clamp: 2;
	white-space: normal;
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-box-orient: vertical;
}

.history-label {
    color: var(--text-secondary);
    font-size: 16px;
    font-weight: 500;
    padding: 6px 20px;
    margin-top: 20px;
}
.history-item {
    padding: 12px 20px;
    color: var(--text-primary);
    font-size: 16px;
    font-weight: 500;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.history-item:hover {
    background-color: #f5f5f5;
}

.history-icon {
    margin-right: 10px;
    display: flex;
    align-items: center;
}

.delete-button {
    margin-left: auto;
    color: #999;
    cursor: pointer;
    padding: 5px;
}

.delete-button:hover {
    color: #666;
}

